package com.madeu.dao.mobile.mobiletreatment;

import jakarta.annotation.PostConstruct;
import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.support.SqlSessionDaoSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class MobileTreatmentSqlMapDAO extends SqlSessionDaoSupport{

	@Autowired
	private SqlSessionTemplate sqlSessionTemplate;

	@PostConstruct
	void init() {
		setSqlSessionTemplate(sqlSessionTemplate);
	}
	
	/**
	 * 진료 조회 (List, option)
	 * 
	 * @param Map
	 * @return
	 * @throws DataAccessException 
	 */
	public List<Map<String, Object>> selectListTreatmentOption(HashMap<String, Object> paramMap)
			throws DataAccessException {
		logger.debug("MobileTreatmentSqlMapDAO selectListTreatmentOption START");
		String sqlId = "MobileTreatment.selectListTreatmentOption";
		logger.debug("MobileTreatmentSqlMapDAO selectListTreatmentOption END");
		return getSqlSession().selectList(sqlId, paramMap);
	}
}
